## com.lowagie.bc.asn1
Class DERInteger

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.DERInteger

All Implemented Interfaces:
  DEREncodable, DERTags

public class DERInteger
extends DERObject

Field Summary
`(package private) byte[]` `bytes`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERInteger(BigInteger value)`
`DERInteger(byte[] bytes)`
`DERInteger(int value)`

Method Summary
`(package private) void` `encode(DEROutputStream out)`
`boolean` `equals(Object o)`
`static DERInteger` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Integer from a tagged object.
`static DERInteger` `getInstance(Object obj)` return an integer from the passed in object
`BigInteger` `getPositiveValue()` in some cases positive values get crammed into a space, that's not quite big enough...
`BigInteger` `getValue()`
`int` `hashCode()`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bytes

    byte[] bytes

Constructor Detail

### DERInteger

    public DERInteger(int value)

### DERInteger

    public DERInteger(BigInteger value)

### DERInteger

    public DERInteger(byte[] bytes)

Method Detail

### getInstance

    public static DERInteger getInstance(Object obj)

  return an integer from the passed in object

  Throws:
    `IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERInteger getInstance(ASN1TaggedObject obj,
                                         boolean explicit)

  return an Integer from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `IllegalArgumentException` - if the tagged object cannot be converted.

### getValue

    public BigInteger getValue()

### getPositiveValue

    public BigInteger getPositiveValue()

  in some cases positive values get crammed into a space, that's not quite big enough...

### encode

    void encode(DEROutputStream out)
          throws IOException

  Specified by:
    `encode` in class `DERObject`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)